System Requirements

t:connect web application

The t:connect uploader software requires the following minimum computer specifications (for both PC and Mac):

  • 1 GB RAM
  • 1 GB of available disk space
  • x86 compatible 1.6 GHz processor or faster
  • USB 1.1 port (or later)
  • Screen resolution of at least 1024x768

It is compatible for the following operating systems:

  • Microsoft Windows 10
  • Microsoft Windows 8.1
  • Microsoft Windows 7
  • Mac OS 11 Big Sur 
  • Mac OSX Catalina (10.15)
  • Mac OS X Mojave (10.14)
  • Mac OS X High Sierra (10.13)

NOTE: The latest version of the Mac uploader does not support blood glucose meter uploads.

 

t:connect mobile app

You must have a compatible smartphone and operating system to use the t:connect mobile app. These include:

  • Apple iOS versions 14, or 15 
    • Android OS versions 8, 9, 10, 11, or 12 

Additionally, you must be running software versions 6.6 or 7.6 (or higher) on your t:slim X2 insulin pump in order to access the bolus delivery feature on the t:connect mobile app.

Please see if you have a compatible smartphone that would allow you to access the bolus delivery feature.

Manufacturer Operating System Model
Apple iOS 14 or 15 SE (2nd generation)
XR
X, XS, or XS Max
7 or 7 Plus
8 or 8 Plus
11, 11 Pro, or 11 Pro Max
12, 12 Pro, 12 Pro Max, or 12 Mini
13, 13 Pro, 13 Pro Max, or 13 Mini
Samsung Android 10, 11, or 12 S20, S20 +, S20 Ultra 5G, or S20 FE
S21 5G
Note 20 or Note 20 Ultra

 

If you have one of the devices listed below the t:connect mobile app is not available:

Manufacturer Operating System Model
Apple Any iOS S
SE (1st generation)
5c or 5s
6 or 6 Plus
Samsung Any Android OS S8, S8+, or S8 Active
Note 9

 

You may still be able to use the t:connect mobile app without the ability to bolus from your smartphone if your smartphone device is not listed above but is running a supported operating system.

 

Tandem Device Updater

When updating your pump software, always follow all security precautions and instructions provided to you in the user guide for the  Tandem Device Updater.

SUPPORTED OPERATING SYSTEMS

  • Microsoft Windows 11
  • Microsoft Windows 10 (64 bit)
  • Microsoft Windows 8.1 (64 bit)
  • Microsoft Windows 7 (64 bit)
  • Mac OS 11 Big Sur (v.11.0.x)
  • Mac OS Catalina (v10.15.x)

COMPUTER REQUIREMENTS

  • 1 GB RAM
  • 1 GB of available disk space
  • x86 compatible 1.6 GHz processor
  • USB 1.1 port or later
  • Screen display capable of at least
    1024 by 768 pixels resolution

 

ZD-000055_A

 

 

 

Was this article helpful?
7 out of 17 found this helpful
Return to top